TimestreamsTimelines
Search for timelines
Search for timelines under a timestream with support for paging
Path Parameters
timestreamId*string
Query Parameters
pageSize?integer
The number of results per page
Default
50page?integer
The page of results to return
Default
1Header Parameters
x-api-key*string
OneBasket API Key
Format
passwordRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Represents a timeline for primary events
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/timestreams/string/timelines" \ -H "x-api-key: pa$$word" \ -H "Content-Type: application/json" \ -d '{ "type": "Primary" }'{ "page": 0, "pageSize": 0, "pageTotal": 0, "resultsTotal": 0, "hasNextPage": true, "hasPreviousPage": true, "results": [ { "type": "Primary", "id": "string", "timestreamId": "string", "title": "string", "timeperiods": 0 } ]}